package com.fuint.common.excelDto;

import com.fuint.common.dto.*;
import com.fuint.repository.model.MtRefund;
import com.fuint.repository.model.MtStore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 会员订单实体类
 *
 * Created by FSQ
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
public class UserOrderExcelDto implements Serializable {

    @ApiModelProperty("订单类型")
    private String type;

    @ApiModelProperty("支付类型")
    private String payType;

    @ApiModelProperty("订单模式")
    private String orderMode;

    @ApiModelProperty("订单号")
    private String orderSn;

    @ApiModelProperty("所属商户")
    private String merchantName;

    @ApiModelProperty("所属店铺")
    private String storeName;

    @ApiModelProperty("用户手机号")
    private String userName;

    @ApiModelProperty("是否游客")
    private String isVisitor;

    @ApiModelProperty("订单金额")
    private BigDecimal amount;

    @ApiModelProperty("支付金额")
    private BigDecimal payAmount;

    @ApiModelProperty("使用积分数量")
    private Integer usePoint;

    @ApiModelProperty("积分金额")
    private BigDecimal pointAmount;

    @ApiModelProperty("折扣金额")
    private BigDecimal discount;

    @ApiModelProperty("配送费用")
    private BigDecimal deliveryFee;

    @ApiModelProperty("支付时间")
    private Date payTime;

    @ApiModelProperty("操作员工")
    private String staffName;

}

